#include <sqlite3.h>

#ifndef DB_H
#define DB_H

typedef struct {
	char *title, *subtitle, *isbn;
	char *authors, *subjects, *langs;
	char *date_added, *pub_date;
	char *image_code;

	int page_len;
} book_t;

void setup_db(sqlite3* db);

void add_to_db(book_t* book, sqlite3* db);

void remove_from_db(int id, sqlite3* db);


#endif
